Bug 36970 - Not possible to use <,>,>=,<= as ldap filter in udm lookup
Not possible to use <,>,>=,<= as ldap filter in udm lookup
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UDM (Generic)
UCS 3.2
Other Linux
: P5 enhancement (vote)
: UCS 4.0-0-errata
Assigned To: Dirk Wiesenthal
Florian Best
:
Depends on: 36439
Blocks:
  Show dependency treegraph
 
Reported: 2014-11-24 14:01 CET by Dirk Wiesenthal
Modified: 2015-01-29 11:44 CET (History)
4 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2014-11-24 14:01:04 CET
Needs to be ported to UCS 4.0-0

+++ This bug was initially created as a clone of Bug #36439 +++

It is not possible to load objects via univention.admin.module.lookup with filter constraint which contain <,>,>=,<=.
According to the parse function in univention.admin.filter.py it is only possible to use =,!=
Comment 1 Dirk Wiesenthal univentionstaff 2015-01-22 13:18:58 CET
Fixed in
  univention-directory-manager-modules 10.0.29-17.1280.201501221313
Comment 2 Florian Best univentionstaff 2015-01-23 12:46:02 CET
Merge: OK
YAML: OK
Comment 3 Janek Walkenhorst univentionstaff 2015-01-29 11:44:41 CET
<http://errata.univention.de/ucs/4.0/65.html>